/**
 * タイムレース集計（詳細）個人競技画面 コントローラ
 */
APP.controller('TimeraceTeamListACtrl', function($http, $window, $timeout) {
  
  // thisを保持（Ajax内のthisと混同を防ぐ為）
  var pthis = this;
  // HTMLファイル名取得
  var fileName = window.location.href.split('/').pop().split(".html").shift();


  /**
   * 初期処理
   */
  pthis.Initialize = function () {

    // 表示用データをクリア
    pthis.datTaikai = [];
    pthis.datTimeraceShukei = [];
    pthis.datRekidaiKiroku = undefined;


    // Promiseを使用しJSONを並列取得し、表示処理を実施する
    Promise.all([new Promise(function (resolve, reject) {

      //=== 大会情報JSONの取得を行う
      $http({
        method  : AJAX_METHOD_GET,
        url     : '../../Taikai.json' + '?a=' + START_TIMESTAMP,
      }).then(function successCallback(response) {
        // 大会情報データ
        pthis.datTaikai = response.data;
        resolve();
      }, function errorCallback(response) {
        reject();
      });

    }), new Promise(function (resolve, reject) {

      //=== タイムレース集計（詳細）個人競技画面 一覧JSONの取得を行う
      $http({
        method  : AJAX_METHOD_GET,
        url     : './'+fileName+'.json' + '?a=' + START_TIMESTAMP,
      }).then(function successCallback(response) {
        // 全タイムレース集計（詳細）個人競技データ
        pthis.datTimeraceShukei = response.data;
        resolve();
      }, function errorCallback(response) {
        reject();
      });

        })]).then(function () {
        // 記録表示を更新する
        $("#kirokuview").change();

      //=== 歴代記録ダイアログ用JSONを取得
      $http({
        method  : AJAX_METHOD_GET,
        url     : '../../rekidai/RekidaiKiroku.json' + '?a=' + START_TIMESTAMP,
      }).then(function successCallback(response) {
        var RekidaiKirokuKey = pthis.datTimeraceShukei.KyogiNo + "-" + pthis.datTimeraceShukei.SubNo;
        // 全歴代記録データ
        pthis.datRekidaiKiroku = response.data.RekidaiKirokuList[RekidaiKirokuKey];
      }, function errorCallback(response) {
        // JSON取得エラー
      });
        
    }).catch(function () {
      // JSON取得エラー
    });

  };

  /**
   * 歴代記録ボタンクリックイベント
   */
  pthis.ShowRekidai = function () {

    // 歴代記録ダイアログを表示する
    if (!!pthis.datRekidaiKiroku) {
      RekidaiDialogShow();
    }

  }


  // 初期処理を実行
  pthis.Initialize();

});
$(function() {
  // 1 / 100 と 1 / 1000 の切り替えイベント
  $('#kirokuview').on('change',function(){
    const c = $(this).val();
    $('td.Kiroku').each(function(i, e) {
      $(e).html($(e).attr(c));
    });
  });

  // 順位・レーンの切り替え時に記録表示を変更
  $('input[name="prmSort"]').on('change',function(){
    $('#kirokuview').change();
  });
});